# std::reference_wrapper::operator=

From cppreference.com
< cpp‎ | utility‎ | functional‎ | reference wrapper

reference_wrapper& operator=( const reference_wrapper<T>& other ); |  | (since C++11)

Copy assignment operator. Drops the current reference and stores a reference to other.get().

### Parameters

other | - | reference wrapper to copy

### Return values

*this

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/reference_wrapper/operator%3D&oldid=91743"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template